GNU bug report logs - #25163
26.0.50; Unable to access `user-emacs-directory' (~/.emacs.d/)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: emacs18@HIDDEN; dated Sun, 11 Dec 2016 03:37:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 13 Jun 2018 01:24:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 12 21:24:45 2018
Received: from localhost ([127.0.0.1]:45566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fSuWj-0001Z3-0u
	for submit <at> debbugs.gnu.org; Tue, 12 Jun 2018 21:24:45 -0400
Received: from mail-qt0-f175.google.com ([209.85.216.175]:35683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1fSuWh-0001Yq-KU
 for 25163 <at> debbugs.gnu.org; Tue, 12 Jun 2018 21:24:44 -0400
Received: by mail-qt0-f175.google.com with SMTP id s9-v6so962523qtg.2
 for <25163 <at> debbugs.gnu.org>; Tue, 12 Jun 2018 18:24:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=jGt6WGemDLkjZgyp8hUN5Sf10wKEn8zO9pbAlo2wWT0=;
 b=DSw1uIjjSof3IiSu5dJb8xX3qe4NnWocMYtY/28DdYDIHPHkwGmCA8Rvom/mXgCZtZ
 u42NbmT/MOV6G/Wm39d+gYKlvbRK5vrsDru1ZOZDJW6JltwYQOT6DhzHZXP2KsXCTxvV
 lvMWp2J/C/yxSWjGTwjNimSNXHrL1KuG3OC/dsbruZyIDu3CwrH7KHc5GMEfPIZA8zyb
 NMtxX9V4+BIP5rNDprirqezMqkS3eSMRg/i9MW637pYQNlKktCrTPtCeMH7X+GaKI/5o
 HSJL5a1SkyCFY+36wufTcXuw7zNC8s+KYt7NvwbD0x0q5y+m7zexrL58Y6AyYPPPEalj
 mvBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=jGt6WGemDLkjZgyp8hUN5Sf10wKEn8zO9pbAlo2wWT0=;
 b=k8mAJ/kjJxY+AVdlBmyykA8YbQX+EKOwPDG/QvKvh+hG/Vn+YMuRa5Ti+I5GfrVevZ
 E3HPYNg3mitPLm8Vab5S8QFjzwLC8NO4l8T2EXAamWCcnnKxphmuBJmWaEpUIf5hor8p
 uxc4iq+8Y2mH5i3JGa1EMgjXdQpzw+EmKIVVtwC4F9FSPJVYQx/aQjfjqNmrVBU+0JeS
 Jdnhr8Blurkddbnx/0T86IQzCx+OcF1SFT0BcnLOPjQvOVIOASwCpuqO+znKrG5PQ5xk
 O+DCrzax+XHsLniHSs7YTu+wMc8FPOH6sUM+USoLikR5M2goUyonXz1GBb1Xb6015S/d
 Ws5w==
X-Gm-Message-State: APt69E1v550gH+ROV6p09wnt36y8alEJCHhCguw/Pr84MltjL1IceQXm
 g4CNh7VVBbKDSXqiJz1QbcA=
X-Google-Smtp-Source: ADUXVKIhfpBJhPpvhjcqchs8TcPM+QdMkgGrO48FsgIVGcZn1ZWbEhJst1R45pto7zbdHGECywBtNA==
X-Received: by 2002:ac8:241:: with SMTP id o1-v6mr2769598qtg.39.1528853078271; 
 Tue, 12 Jun 2018 18:24:38 -0700 (PDT)
Received: from zebian (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.googlemail.com with ESMTPSA id
 c77-v6sm1332374qkj.3.2018.06.12.18.24.35
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 12 Jun 2018 18:24:37 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: 25163 <at> debbugs.gnu.org
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
Date: Tue, 12 Jun 2018 21:24:33 -0400
In-Reply-To: <8760mrdrfd.fsf@HIDDEN> (npostavs's message of
 "Sat, 10 Dec 2016 23:24:06 -0500")
Message-ID: <87a7rzxyum.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25163
Cc: , Richard Kim <emacs18@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I wrote:

> Looks like the problem is that locate-user-emacs-file (and thus the
> check for the warning) is called before any customizations (or --eval
> args) are executed.

> Perhaps the warning could be delayed until after init time?

So, taking another look at this, the warning *is* currently delayed
until after init time (as are all warnings occuring before init time).
The problem is, delayed warnings are displayed just after init time,
which is just before --eval args are executed.  Maybe we should have
--early-eval to go along with ~/.emacs.d/early-init.el?  Or maybe just
require suppressing this warning via site-start.el.  The patch below
makes that possible (maybe the first hunk isn't really needed, and we
should just remove the user-emacs-directory-warning option in favour of
setting warning-suppress-log-types instead):

--- i/lisp/files.el
+++ w/lisp/files.el
@@ -990,6 +990,13 @@ user-emacs-directory-warning
   :group 'initialization
   :version "24.4")
 
+(defvar warning-suppress-log-types) ; `warnings.el'.
+(defun maybe-suppress-user-emacs-directory-warning ()
+  "Apply `user-emacs-directory-warning' suppression."
+  (unless user-emacs-directory-warning
+    (add-to-list 'warning-suppress-log-types '(initialization user-emacs-directory))))
+(add-hook 'after-init-hook #'maybe-suppress-user-emacs-directory-warning)
+
 (defun locate-user-emacs-file (new-name &optional old-name)
   "Return an absolute per-user Emacs-specific file name.
 If NEW-NAME exists in `user-emacs-directory', return it.
@@ -1021,7 +1028,7 @@ locate-user-emacs-file
 			(not (get 'user-emacs-directory-warning 'this-session)))
 	       ;; Only warn once per Emacs session.
 	       (put 'user-emacs-directory-warning 'this-session t)
-	       (display-warning 'initialization
+	       (display-warning `(initialization user-emacs-directory ,(intern errtype))
 				(format "\
 Unable to %s `user-emacs-directory' (%s).
 Any data that would normally be written there may be lost!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 13 Dec 2016 15:52:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 13 10:52:26 2016
Received: from localhost ([127.0.0.1]:40883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGpNS-000822-HX
	for submit <at> debbugs.gnu.org; Tue, 13 Dec 2016 10:52:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cGpNQ-00081m-KV
 for 25163 <at> debbugs.gnu.org; Tue, 13 Dec 2016 10:52:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cGpNI-0001Fs-Qj
 for 25163 <at> debbugs.gnu.org; Tue, 13 Dec 2016 10:52:19 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:46516)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cGpNI-0001Fo-Np; Tue, 13 Dec 2016 10:52:16 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2202
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cGpNI-0005Sd-0l; Tue, 13 Dec 2016 10:52:16 -0500
Date: Tue, 13 Dec 2016 17:52:10 +0200
Message-Id: <83pokvbzdh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Richard Kim <emacs18@HIDDEN>
In-reply-to: <CAFq8O8t+M_BsshZEzdGr44k=HTay5K5-FdzhD0x8qXwZTRnP9A@HIDDEN>
 (message from Richard Kim on Mon, 12 Dec 2016 18:19:33 -0800)
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
 <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
 <87a8c2w18z.fsf@HIDDEN> <83r35dddvv.fsf@HIDDEN>
 <8760mpx011.fsf@HIDDEN>
 <CAFq8O8t+M_BsshZEzdGr44k=HTay5K5-FdzhD0x8qXwZTRnP9A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25163
Cc: ofv@HIDDEN, 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

> From: Richard Kim <emacs18@HIDDEN>
> Date: Mon, 12 Dec 2016 18:19:33 -0800
> Cc: Eli Zaretskii <eliz@HIDDEN>, 25163 <at> debbugs.gnu.org
> 
> For the first 25 or so years, I used ~/.emacs to customize emacs.
> However for the past few years I switched to using "eamacs -q --eval ...
> --eval ... " style. This decision was not because of my ignorance of
> other command line options that emacs provides. Instead this style gave
> me the flexibility to generate elisp on the fly to setup emacs exactly
> the way I want without having to edit any files. I happen to use python
> script that takes few command line arguments, which then may generate
> elisp files, and/or generate appropriate --eval arguments.

Setting things up in your ~/.emacs and making the same settings via --eval
or --load produces subtly different results for some options.  That's because 
Emacs processes the user settings in ~/.emacs specially, sometimes
evaluating the same setting more than once, to provide the expected effects,
This special processing is not done for the other methods of specifying
initial settings.

So when you made that switch, you already changed the way your
sessions are set up.  You might not paid attention to this aspect,
because for most options the effect is identical.  But the difference
is there nonetheless, and it's real.

The above isn't meant to invalidate your report in any way, just to
explain that .emacs and --eval, as designed and implemented, sometimes
produce different results.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 13 Dec 2016 04:02:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 23:02:27 2016
Received: from localhost ([127.0.0.1]:39968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGeIN-0006Kq-HU
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2016 23:02:27 -0500
Received: from smtp21.acens.net ([86.109.99.145]:47819 helo=smtp.movistar.es)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ofv@HIDDEN>) id 1cGeIK-0006Kb-Kc
 for 25163 <at> debbugs.gnu.org; Mon, 12 Dec 2016 23:02:25 -0500
X-CTCH-RefID: str=0001.0A0B0202.584F72C9.007C, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
Received: from qcore (83.42.30.136) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 58386475011F4BC6; Tue, 13 Dec 2016 04:02:17 +0000
From: =?utf-8?Q?=C3=93scar_Fuentes?= <ofv@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
 <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
 <87a8c2w18z.fsf@HIDDEN> <83r35dddvv.fsf@HIDDEN>
 <8760mpx011.fsf@HIDDEN> <hrd1gwd01j.fsf@HIDDEN>
Date: Tue, 13 Dec 2016 05:02:16 +0100
In-Reply-To: <hrd1gwd01j.fsf@HIDDEN> (Glenn Morris's message of
 "Mon, 12 Dec 2016 21:40:08 -0500")
Message-ID: <87oa0gv5mf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25163
Cc: Eli Zaretskii <eliz@HIDDEN>, Richard Kim <emacs18@HIDDEN>,
 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Glenn Morris <rgm@HIDDEN> writes:

> Somewhat off-topic for this report, but -u is a bit rubbish, isn't it?
>   "load ~USER/.emacs instead of your own"
> Nobody wants to load Fred's .emacs (since about 1983 on a VAX).
> What they want is to use some directory other than ~/.emacs in their own space.

Agreed. I was under the impression that -u was followed by an arbitrary
directory, but now I recall that it expects an user name. This is no
alternative to setting emacs-user-directory at all.

> (But that's bug#15539, which I'm a bit surprised to see was closed wontfix.)

It was after John Wiegley mentioned that you can set
user-emacs-directory to achieve the same effect, which right now it is
not correct.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 13 Dec 2016 02:40:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 21:40:25 2016
Received: from localhost ([127.0.0.1]:39924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGd0z-0002gG-LZ
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2016 21:40:25 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1cGd0x-0002g2-Vr
 for 25163 <at> debbugs.gnu.org; Mon, 12 Dec 2016 21:40:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1cGd0s-0008Bs-6h
 for 25163 <at> debbugs.gnu.org; Mon, 12 Dec 2016 21:40:18 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38270)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1cGd0j-00088r-IW; Mon, 12 Dec 2016 21:40:09 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1cGd0i-0001su-DV; Mon, 12 Dec 2016 21:40:08 -0500
From: Glenn Morris <rgm@HIDDEN>
To: =?utf-8?Q?=C3=93scar?= Fuentes <ofv@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
 <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
 <87a8c2w18z.fsf@HIDDEN> <83r35dddvv.fsf@HIDDEN>
 <8760mpx011.fsf@HIDDEN>
X-Spook: CNCIS Venezuela Foot and Mouth Aid Incident Blowfish
X-Ran: o4;SJp&*_F5{CM!(c~uw9/kJ,-vk4qj3>E9G1(ktamR7tFz)B;4:_~a8<z`i:nh37btzHF
X-Hue: blue
X-Attribution: GM
Date: Mon, 12 Dec 2016 21:40:08 -0500
In-Reply-To: <8760mpx011.fsf@HIDDEN> (=?utf-8?Q?=22=C3=93scar?=
 Fuentes"'s message of "Mon, 12 Dec 2016 05:07:54 +0100")
Message-ID: <hrd1gwd01j.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.1 (--------)
X-Debbugs-Envelope-To: 25163
Cc: Eli Zaretskii <eliz@HIDDEN>, Richard Kim <emacs18@HIDDEN>,
 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.1 (--------)

=C3=93scar Fuentes wrote:

> I guess that the OP is exceptional among the Emacs user base when he
> resorts to --eval '(setq user-emacs-directory ...)' because he is not
> aware of the correct and simple -u command line option. If that's the
> case, his problem should be completely solved by using -u (without need
> to set user-emacs-directory-warning).
>
> I propose to change the docstring of user-emacs-directory to mention -u
> as the correct method and recommend against setting that variable in any
> way. Sadly, we cannot remove it altogether.

Somewhat off-topic for this report, but -u is a bit rubbish, isn't it?
  "load ~USER/.emacs instead of your own"
Nobody wants to load Fred's .emacs (since about 1983 on a VAX).
What they want is to use some directory other than ~/.emacs in their own sp=
ace.
(But that's bug#15539, which I'm a bit surprised to see was closed wontfix.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 13 Dec 2016 02:19:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 21:19:42 2016
Received: from localhost ([127.0.0.1]:39888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGcgw-0002Ao-20
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2016 21:19:42 -0500
Received: from mail-qt0-f174.google.com ([209.85.216.174]:36679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs18@HIDDEN>) id 1cGcgt-0002Aa-AD
 for 25163 <at> debbugs.gnu.org; Mon, 12 Dec 2016 21:19:39 -0500
Received: by mail-qt0-f174.google.com with SMTP id w33so94547382qtc.3
 for <25163 <at> debbugs.gnu.org>; Mon, 12 Dec 2016 18:19:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=XYqz2ImcUzPzAlZjdFhxSWb9U5etyJhun87U5Hu+fyU=;
 b=EdpfLmVz8sLMo8Lfx6YdkpaGRZdEHQp9PMb0zyuwm3zl36rBG5acG/Dwde1qC6nPlv
 6BYNmCORTQm3fnUhIqdgoGWjcZl6TWpUdhIYEb04WUIpWeBTe9wK4hvzXPxttF7zi7NJ
 7LpMY+FBNCG1zfJPTbq7mz20oP1ErwCpRfiGRNculTvYQezExPrhmFib1J+KNehq48rt
 wVs83V9YHp8yQYwPYHAJnjTbWW/QfQa9keO1jLXece6sLvj/63DP85mxmuBWvx8rk80q
 6krpxU19k1O7F87w8Zeq20jrXtkLSTrN8ry/RdzYUXGNOoM0TXN5sQ0cbs4I0Dy8FgLy
 C0Rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=XYqz2ImcUzPzAlZjdFhxSWb9U5etyJhun87U5Hu+fyU=;
 b=FHUfO6b84fW173wqr04DlaCMDDRyWNCF9k+R4eI2VSvQ3vE1lc7zvRJRGeEXZv0V5B
 KYAMhFVUdE38RsO/eLSmaUe4sSYbbyETNFHcZpUPcmM7zSYPAnHHwTMIcCfjMs/nj6Hh
 vVOalMYHk1uB5CYLS/mEEtG61GmpwTDG0xOGsZs538xgZLwkEkoh/lY7CNgbV/T4QSVr
 li5Y/yYSj/k+IHZPtysdvn510udin+aAZu0ziJecFz3kPfUoPwSls25J5GDC2O9iFIMf
 KFstBjSg38IhBlVKWmA+APiARLmn6DAy8ztP4nCTxJdFHBH6oJ2aGs9syK6APZNRxAr6
 paiA==
X-Gm-Message-State: AKaTC02HcYWea/s9KO30QUSTopIIFYL+Lh06Y+KshZ0s97C+Yh8v2iVH5j57IPgOpqe0B2Y76swGFkrcVNKc5A==
X-Received: by 10.237.40.4 with SMTP id r4mr79993726qtd.103.1481595573773;
 Mon, 12 Dec 2016 18:19:33 -0800 (PST)
MIME-Version: 1.0
Received: by 10.55.37.135 with HTTP; Mon, 12 Dec 2016 18:19:33 -0800 (PST)
In-Reply-To: <8760mpx011.fsf@HIDDEN>
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
 <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
 <87a8c2w18z.fsf@HIDDEN> <83r35dddvv.fsf@HIDDEN>
 <8760mpx011.fsf@HIDDEN>
From: Richard Kim <emacs18@HIDDEN>
Date: Mon, 12 Dec 2016 18:19:33 -0800
Message-ID: <CAFq8O8t+M_BsshZEzdGr44k=HTay5K5-FdzhD0x8qXwZTRnP9A@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
To: =?UTF-8?Q?=C3=93scar_Fuentes?= <ofv@HIDDEN>
Content-Type: multipart/alternative; boundary=94eb2c05df10e02ed7054380d909
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 25163
Cc: Eli Zaretskii <eliz@HIDDEN>, 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--94eb2c05df10e02ed7054380d909
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

I don't normally set user-emacs-directory via --eval argument. Instead
it is set within a file which is loaded via --eval. I suppose this is
not that significant difference. In the original report I tried to
remove all non-essential stuff by coming up with a minimum instruction
that demonstrated the problem. Isn't that how you would like most
problems reported?

For the first 25 or so years, I used ~/.emacs to customize emacs.
However for the past few years I switched to using "eamacs -q --eval ...
--eval ... " style. This decision was not because of my ignorance of
other command line options that emacs provides. Instead this style gave
me the flexibility to generate elisp on the fly to setup emacs exactly
the way I want without having to edit any files. I happen to use python
script that takes few command line arguments, which then may generate
elisp files, and/or generate appropriate --eval arguments. The primary
motivation for this style of emacs launching is to allow me to enable or
disable spacemacs, enable or disable my own configration, etc. This
flexibility is very handy when something goes wrong. I can quickly
eliminate big parts of potential causes.

With packaging system, there are so many useful packages that I want to
use. Unfortunately stability suffers. I did not know about "kill -USR2
<pid>" until recently as some have also pointed out in emacs-devel list.
So ability to diagnose problems quickly is important to me.

The reason I test drove emacs 26 was in response to a call for testing
concurrency stuff. Until this I used only emacs-25 git branch for months
and months. The problem I reported is not a big deal for me. I can
easily suppress the warning by doing something like

   cd
   rm -rf ~/.emacs.d
   mkdir ~/elisp/.emacs.d
   ln -s ~/elisp/.emacs.d

so that if emacs were to create a file under ~/.emacs.d, then I would
know about it since ~/elisp would be version controlled via git.
I supposed I could  use git repo for the home directory, but I have other
reasons for not doing that.

On 11 December 2016 at 20:07, =C3=93scar Fuentes <ofv@HIDDEN> wrote:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
> >> The underlying problem is that Emacs uses user-emacs-directory and
> >> user-emacs-directory-warning before any user-customization is made
> >> effective.
> >>
> >> Emacs not being aware of the user setting user-emacs-directory-warning
> >> is annoying and can be solved by delaying the warning, but the part
> >> about user-emacs-directory looks more concerning.
> >
> > Yes, those are my concerns exactly.
> >
> > More generally, Emacs supports only one method of pointing that
> > directory to another place, and that is via the -u command-line
> > option.  We could perhaps support other methods as well, like the one
> > the OP uses, but IMO it will require more changes than just delaying
> > the warning.
>
> I guess that the OP is exceptional among the Emacs user base when he
> resorts to --eval '(setq user-emacs-directory ...)' because he is not
> aware of the correct and simple -u command line option. If that's the
> case, his problem should be completely solved by using -u (without need
> to set user-emacs-directory-warning).
>
> I propose to change the docstring of user-emacs-directory to mention -u
> as the correct method and recommend against setting that variable in any
> way. Sadly, we cannot remove it altogether.
>
> As for user-emacs-directory-warning, leave it alone. Actually, in this
> case it was doing its job.
>

--94eb2c05df10e02ed7054380d909
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div>I don&#39;t normally set user-emacs-directory vi=
a --eval argument. Instead</div><div>it is set within a file which is loade=
d via --eval. I suppose this is</div><div>not that significant difference. =
In the original report I tried to</div><div>remove all non-essential stuff =
by coming up with a minimum instruction</div><div>that demonstrated the pro=
blem. Isn&#39;t that how you would like most</div><div>problems reported?</=
div><div><br></div><div>For the first 25 or so years, I used ~/.emacs to cu=
stomize emacs.</div><div>However for the past few years I switched to using=
 &quot;eamacs -q --eval ...</div><div>--eval ... &quot; style. This decisio=
n was not because of my ignorance of</div><div>other command line options t=
hat emacs provides. Instead this style gave</div><div>me the flexibility to=
 generate elisp on the fly to setup emacs exactly</div><div>the way I want =
without having to edit any files. I happen to use python</div><div>script t=
hat takes few command line arguments, which then may generate</div><div>eli=
sp files, and/or generate appropriate --eval arguments. The primary</div><d=
iv>motivation for this style of emacs launching is to allow me to enable or=
</div><div>disable spacemacs, enable or disable my own configration, etc. T=
his</div><div>flexibility is very handy when something goes wrong. I can qu=
ickly</div><div>eliminate big parts of potential causes.</div><div><br></di=
v><div>With packaging system, there are so many useful packages that I want=
 to</div><div>use. Unfortunately stability suffers. I did not know about &q=
uot;kill -USR2</div><div>&lt;pid&gt;&quot; until recently as some have also=
 pointed out in emacs-devel list.</div><div>So ability to diagnose problems=
 quickly is important to me.</div><div><br></div><div>The reason I test dro=
ve emacs 26 was in response to a call for testing</div><div>concurrency stu=
ff. Until this I used only emacs-25 git branch for months</div><div>and mon=
ths. The problem I reported is not a big deal for me. I can</div><div>easil=
y suppress the warning by doing something like</div><div><br></div><div>=C2=
=A0 =C2=A0cd</div><div>=C2=A0 =C2=A0rm -rf ~/.emacs.d</div><div>=C2=A0 =C2=
=A0mkdir ~/elisp/.emacs.d</div><div>=C2=A0 =C2=A0ln -s ~/elisp/.emacs.d</di=
v><div>=C2=A0 =C2=A0</div><div>so that if emacs were to create a file under=
 ~/.emacs.d, then I would</div><div>know about it since ~/elisp would be ve=
rsion controlled via git.</div></div><div>I supposed I could =C2=A0use git =
repo for the home directory, but I have other</div><div>reasons for not doi=
ng that.</div></div><div class=3D"gmail_extra"><br><div class=3D"gmail_quot=
e">On 11 December 2016 at 20:07, =C3=93scar Fuentes <span dir=3D"ltr">&lt;<=
a href=3D"mailto:ofv@HIDDEN" target=3D"_blank">ofv@HIDDEN</a>&gt;</=
span> wrote:<br><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8e=
x;border-left:1px #ccc solid;padding-left:1ex">Eli Zaretskii &lt;<a href=3D=
"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; writes:<br>
<br>
&gt;&gt; The underlying problem is that Emacs uses user-emacs-directory and=
<br>
&gt;&gt; user-emacs-directory-warning before any user-customization is made=
<br>
&gt;&gt; effective.<br>
&gt;&gt;<br>
&gt;&gt; Emacs not being aware of the user setting user-emacs-directory-war=
ning<br>
&gt;&gt; is annoying and can be solved by delaying the warning, but the par=
t<br>
&gt;&gt; about user-emacs-directory looks more concerning.<br>
&gt;<br>
&gt; Yes, those are my concerns exactly.<br>
&gt;<br>
&gt; More generally, Emacs supports only one method of pointing that<br>
&gt; directory to another place, and that is via the -u command-line<br>
&gt; option.=C2=A0 We could perhaps support other methods as well, like the=
 one<br>
&gt; the OP uses, but IMO it will require more changes than just delaying<b=
r>
&gt; the warning.<br>
<br>
I guess that the OP is exceptional among the Emacs user base when he<br>
resorts to --eval &#39;(setq user-emacs-directory ...)&#39; because he is n=
ot<br>
aware of the correct and simple -u command line option. If that&#39;s the<b=
r>
case, his problem should be completely solved by using -u (without need<br>
to set user-emacs-directory-warning).<br>
<br>
I propose to change the docstring of user-emacs-directory to mention -u<br>
as the correct method and recommend against setting that variable in any<br=
>
way. Sadly, we cannot remove it altogether.<br>
<br>
As for user-emacs-directory-warning, leave it alone. Actually, in this<br>
case it was doing its job.<br>
</blockquote></div><br></div>

--94eb2c05df10e02ed7054380d909--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 12 Dec 2016 04:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 23:08:04 2016
Received: from localhost ([127.0.0.1]:38626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGHuG-0005Xv-HG
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 23:08:04 -0500
Received: from smtp10.acens.net ([86.109.99.134]:47215 helo=smtp.movistar.es)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ofv@HIDDEN>) id 1cGHuD-0005XP-Qt
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 23:08:02 -0500
X-CTCH-RefID: str=0001.0A0B0204.584E229B.00A0, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
Received: from qcore (83.42.30.136) by smtp.movistar.es (8.6.122.03)
 (authenticated as 981711563$telefonica.net)
 id 57A52DD406969299; Mon, 12 Dec 2016 04:07:46 +0000
From: =?utf-8?Q?=C3=93scar_Fuentes?= <ofv@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>, Richard Kim <emacs18@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
 <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
 <87a8c2w18z.fsf@HIDDEN> <83r35dddvv.fsf@HIDDEN>
Date: Mon, 12 Dec 2016 05:07:54 +0100
In-Reply-To: <83r35dddvv.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 12 Dec
 2016 05:28:52 +0200")
Message-ID: <8760mpx011.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25163
Cc: 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> The underlying problem is that Emacs uses user-emacs-directory and
>> user-emacs-directory-warning before any user-customization is made
>> effective.
>> 
>> Emacs not being aware of the user setting user-emacs-directory-warning
>> is annoying and can be solved by delaying the warning, but the part
>> about user-emacs-directory looks more concerning.
>
> Yes, those are my concerns exactly.
>
> More generally, Emacs supports only one method of pointing that
> directory to another place, and that is via the -u command-line
> option.  We could perhaps support other methods as well, like the one
> the OP uses, but IMO it will require more changes than just delaying
> the warning.

I guess that the OP is exceptional among the Emacs user base when he
resorts to --eval '(setq user-emacs-directory ...)' because he is not
aware of the correct and simple -u command line option. If that's the
case, his problem should be completely solved by using -u (without need
to set user-emacs-directory-warning).

I propose to change the docstring of user-emacs-directory to mention -u
as the correct method and recommend against setting that variable in any
way. Sadly, we cannot remove it altogether.

As for user-emacs-directory-warning, leave it alone. Actually, in this
case it was doing its job.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 12 Dec 2016 03:28:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 22:28:26 2016
Received: from localhost ([127.0.0.1]:38618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGHHu-0004eZ-BD
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 22:28:26 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cGHHt-0004eM-9g
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 22:28:25 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cGHHk-0008BI-QR
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 22:28:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50575)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cGHHk-0008BD-Nt; Sun, 11 Dec 2016 22:28:16 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3686
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cGHHj-0006vz-Te; Sun, 11 Dec 2016 22:28:16 -0500
Date: Mon, 12 Dec 2016 05:28:52 +0200
Message-Id: <83r35dddvv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?iso-8859-1?Q?=D3scar?= Fuentes <ofv@HIDDEN>
In-reply-to: <87a8c2w18z.fsf@HIDDEN> (message from =?iso-8859-1?Q?=D3s?=
 =?iso-8859-1?Q?car?= Fuentes on Sun, 11 Dec 2016 23:26:52 +0100)
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
 <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
 <87a8c2w18z.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 25163
Cc: 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.0 (--------)

> From: Óscar Fuentes <ofv@HIDDEN>
> Date: Sun, 11 Dec 2016 23:26:52 +0100
> 
> The underlying problem is that Emacs uses user-emacs-directory and
> user-emacs-directory-warning before any user-customization is made
> effective.
> 
> Emacs not being aware of the user setting user-emacs-directory-warning
> is annoying and can be solved by delaying the warning, but the part
> about user-emacs-directory looks more concerning.

Yes, those are my concerns exactly.

More generally, Emacs supports only one method of pointing that
directory to another place, and that is via the -u command-line
option.  We could perhaps support other methods as well, like the one
the OP uses, but IMO it will require more changes than just delaying
the warning.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 12 Dec 2016 02:41:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 21:41:38 2016
Received: from localhost ([127.0.0.1]:38599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGGYb-0001qL-Ue
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 21:41:38 -0500
Received: from mail-pg0-f68.google.com ([74.125.83.68]:35340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1cGGYa-0001q8-3q
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 21:41:36 -0500
Received: by mail-pg0-f68.google.com with SMTP id p66so9305526pga.2
 for <25163 <at> debbugs.gnu.org>; Sun, 11 Dec 2016 18:41:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=JVfT52N0hAPdO/0EqdONRjwOsP58/qsT7MuYCQhz6Oo=;
 b=MXb0Dm7PlcPTrIXYkIwnqhv+2AiB+AEcJSuYDPEzUX/m1y1v7kXTgv41zm4wW1vo53
 q/6jGIIvPXTqa2L7H1B/fHIYdVEd7tl2GNkTRQX2beTbntd1Ji60t7sD+yREG2vTW729
 koXak5GWrwDRdns3aV1WshqUBcRIQegU81lXtan1XvY+OZ+nbkSHcxyibqNw6WIdNmpa
 SEdxiuRtM3eAnORco6aq0wF+0oCDFqMPvCpNXQQTS0VgN8SpAsseo7oawSVHIKcP8eaI
 faOVLS9wNR7F0tvv71+rd7GZFogPuWoipAjL6XfxURUvCZ58M9fcLcGJxI0Lisqh90+0
 fNsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=JVfT52N0hAPdO/0EqdONRjwOsP58/qsT7MuYCQhz6Oo=;
 b=a/ZZZ/9yn3wCYIl2fm2JjBMnO6Ls8OgxTvmDk92imVBm8y6X8C7BJypU5IW7NFjUgZ
 K8AcMQ82hK5sKesb9W4UtvHlSXXHEMojGCbZn4u6QMGAwRZDbtUrHF1Q8l+nJuEhzcc1
 klN/a/gHxFPemXo5negSAKMFA3L6hO56nyhyQCzPWBBqNK//hEQ+4spEumWJcQrXQKjP
 mxJeeUPxdYznYWkLyv3p5rYBA/x29nnOWkooL1zb6KbKh3/mEGgNdVojUXctd3oi4vRe
 pEDgVnb2Ky97jivl3fs8mZH1qvjLg90KrENpgmFnMic0HGgiOZEL6+PFXEjqNwS8hbIt
 EUYQ==
X-Gm-Message-State: AKaTC02y1UvqefzJhBYo0JaBN8NOXbiQ1OxgnwC05DHSs/NtDZkPZe98qIWniZjgQpCMrQ==
X-Received: by 10.98.70.150 with SMTP id o22mr95426835pfi.134.1481510489938;
 Sun, 11 Dec 2016 18:41:29 -0800 (PST)
Received: from calancha-pc (177.192.218.133.dy.bbexcite.jp. [133.218.192.177])
 by smtp.gmail.com with ESMTPSA id
 s8sm72289793pfj.45.2016.12.11.18.41.27
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 11 Dec 2016 18:41:29 -0800 (PST)
From: Tino Calancha <tino.calancha@HIDDEN>
To: npostavs@HIDDEN
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <874m2akgh3.fsf@HIDDEN> <87wpf6d0ew.fsf@HIDDEN>
Date: Mon, 12 Dec 2016 11:41:24 +0900
In-Reply-To: <87wpf6d0ew.fsf@HIDDEN> (npostavs's message of
 "Sun, 11 Dec 2016 09:07:35 -0500")
Message-ID: <874m29kgx7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25163
Cc: =?utf-8?Q?=C3=93scar?= Fuentes <ofv@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, Richard Kim <emacs18@HIDDEN>,
 25163 <at> debbugs.gnu.org, tino.calancha@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

npostavs@HIDDEN writes:

> Tino Calancha <tino.calancha@HIDDEN> writes:
>
>> Following patch delay the warning until al command line arguments have
>> being processed.
>> What do you think?
>
> I think that would still be too early for the user setting the variable
> in their init file.  I would suggest using after-init-hook, something
> like:
>
> (defun locate-user-emacs-file ...
>    ...
>    (when errtype
>      (add-hook 'after-init-hook #'maybe-warn-about-user-dir)))
I haven't tried your hook solution yet, which probably is better than
mine.  Just for offering an alternative way i have updated my previous
patch to handle the case when the user have customized
`user-emacs-directory-warning':

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
From a96f5a406ec965d6010e840fb938da239df706ef Mon Sep 17 00:00:00 2001
From: Tino Calancha <tino.calancha@HIDDEN>
Date: Mon, 12 Dec 2016 11:35:06 +0900
Subject: [PATCH] Fix Bug#25162

* lisp/startup.el (command-line): If user-emacs-directory is not
accessible, delay to show a warning until all command line args
are processed.
---
 lisp/startup.el | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

diff --git a/lisp/startup.el b/lisp/startup.el
index 4a04f9c..f562c88 100644
--- a/lisp/startup.el
+++ b/lisp/startup.el
@@ -1094,11 +1094,12 @@ command-line
 
   ;; Re-evaluate predefined variables whose initial value depends on
   ;; the runtime context.
-  (mapc 'custom-reevaluate-setting
-        ;; Initialize them in the same order they were loaded, in case there
-        ;; are dependencies between them.
-        (prog1 (nreverse custom-delayed-init-variables)
-          (setq custom-delayed-init-variables nil)))
+  (let (user-emacs-directory-warning) ; Delay showing this warning (Bug#25162).
+    (mapc 'custom-reevaluate-setting
+          ;; Initialize them in the same order they were loaded, in case there
+          ;; are dependencies between them.
+          (prog1 (nreverse custom-delayed-init-variables)
+            (setq custom-delayed-init-variables nil))))
 
   (normal-erase-is-backspace-setup-frame)
 
@@ -1362,9 +1363,18 @@ command-line
 	(list 'error
 	      (substitute-command-keys "Memory exhausted--use \\[save-some-buffers] then exit and restart Emacs")))
 
+  ;; Reevaluate `user-emacs-directory-warning' before process '--eval'
+  ;;  args, so that the user can override that default (Bug#25162).
+  (custom-reevaluate-setting 'user-emacs-directory-warning)
+
   ;; Process the remaining args.
   (command-line-1 (cdr command-line-args))
 
+  ;; Check if `user-emacs-directory' is accessible (Bug#25162).
+  (when (and user-emacs-directory-warning
+             (not (file-accessible-directory-p user-emacs-directory)))
+    (locate-user-emacs-file ""))
+
   ;; This is a problem because, e.g. if emacs.d/gnus.el exists,
   ;; trying to load gnus could load the wrong file.
   ;; OK, it would not matter if .emacs.d were at the end of load-path.
-- 
2.10.2

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
In GNU Emacs 26.0.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.4)
 of 2016-12-11
Repository revision: 2783e0e3899cf92910e97dc8bfda3e47b3df1478




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Dec 2016 22:27:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 17:27:14 2016
Received: from localhost ([127.0.0.1]:38509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGCaQ-0002jD-Hp
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 17:27:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57523)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1cGCaO-0002iy-BH
 for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 17:27:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1cGCaI-0000YB-4t
 for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 17:27:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49901)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1cGCaI-0000Y3-1d
 for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 17:27:06 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48493)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1cGCaH-0001lY-5K
 for bug-gnu-emacs@HIDDEN; Sun, 11 Dec 2016 17:27:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1cGCaD-0000Wv-Uv
 for bug-gnu-emacs@HIDDEN; Sun, 11 Dec 2016 17:27:05 -0500
Received: from [195.159.176.226] (port=44773 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1cGCaD-0000VS-OR
 for bug-gnu-emacs@HIDDEN; Sun, 11 Dec 2016 17:27:01 -0500
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1cGCa5-0007AR-Ny
 for bug-gnu-emacs@HIDDEN; Sun, 11 Dec 2016 23:26:53 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: =?utf-8?Q?=C3=93scar_Fuentes?= <ofv@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
Date: Sun, 11 Dec 2016 23:26:52 +0100
Lines: 18
Message-ID: <87a8c2w18z.fsf@HIDDEN>
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
 <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
Cancel-Lock: sha1:JjNc+HaaeYh4tAGW32qPqSPHHsI=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Noam Postavsky <npostavs@HIDDEN> writes:

>>> Nothing, only the warning should be delayed.
>>
>> But Emacs will then create .emacs.d, something the OP didn't want,
>> right?
>
> The OP already created an unwritable .emacs.d, so I think that's not
> the problem. It's only the non-suppressable warning. Unless I've
> misread?

The underlying problem is that Emacs uses user-emacs-directory and
user-emacs-directory-warning before any user-customization is made
effective.

Emacs not being aware of the user setting user-emacs-directory-warning
is annoying and can be solved by delaying the warning, but the part
about user-emacs-directory looks more concerning.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 11 Dec 2016 22:15:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 17:15:47 2016
Received: from localhost ([127.0.0.1]:38505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cGCPL-0002Sx-Em
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 17:15:47 -0500
Received: from mail-oi0-f67.google.com ([209.85.218.67]:35823)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cGCPJ-0002Sk-PC
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 17:15:46 -0500
Received: by mail-oi0-f67.google.com with SMTP id v84so8824447oie.2
 for <25163 <at> debbugs.gnu.org>; Sun, 11 Dec 2016 14:15:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=gyVziRqebcrsRkUE4u5qq7mXiMf7AkGRgdA/gL98mhY=;
 b=01mYyGWj7XRIkvUZh0gpHrKt/iFJhe3JOz5Xq5Ifufq06XkRstMkdPMdCl1c9e9v6B
 iPOcQrsW3m9cz0OdsnSf0aZLoexldMGVFrfpByBhhm8WhZrpzWv5U0RbQDivmaM+c/xw
 8LB25dtk+eZzuqgvT/arHAV4emzL2WALevqcpAWdfV1j/0x3m7lod7Bl6M9nNzIYhCbn
 GBQeQLamtm5+pi1graEkMq4lP6YcjrlX0qbW7tMKPT6YbUYdvx496JMyg2svAKTlHHLW
 YMpo/ZfkKNWSVOWgEZfTW93O/HLrpGzdc7LmdXnjFhas98n0h/DHEn3HG0wJPa4BmRyI
 4HmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=gyVziRqebcrsRkUE4u5qq7mXiMf7AkGRgdA/gL98mhY=;
 b=CZqkmSQLxe5Rd7F43dFBwqMjS6nCvCfRtRDSyebugcfaD7rq3WA6nEWvg2cG1s9kPq
 YttmvqKkMaDsE0N8M1pScVANSXCrdbqkCpwiDaDGgkwRwGi88FHlOzR6y0kfL8E80Xlc
 ODjtSaWgFoHAOYij/t6Z0r7J5HODKnVYqG8zBpTDH6sn/glqdLTaAn95s8epVvY7qqkh
 YNlXCpc7iDWHse2sKZ8OakLz0PPxlu4nEwsDy8jXQbb1kgoorZw1Ttv84/oGLBVFwfp8
 yUSlA2zoDn7F6e159DUnHNsCKrEHv1YvpaCb2EPDQ/T0KaysR3GjhNXHa2BTFbHKT0HW
 j6OQ==
X-Gm-Message-State: AKaTC01bMcbTcDL3ryS4lFaBUMlpLQcS9FwrX9ZFt9DcGNDsg4Pl8kWfy4W/MoDqXuHNuZX9OG3OdRx7phLqmA==
X-Received: by 10.202.236.21 with SMTP id k21mr43930289oih.127.1481494540171; 
 Sun, 11 Dec 2016 14:15:40 -0800 (PST)
MIME-Version: 1.0
Received: by 10.157.6.234 with HTTP; Sun, 11 Dec 2016 14:15:39 -0800 (PST)
In-Reply-To: <83h96ae5ia.fsf@HIDDEN>
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 <83h96ae5ia.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Sun, 11 Dec 2016 17:15:39 -0500
X-Google-Sender-Auth: ifHa6uI0fE-PJ4mITUrX_eVN12E
Message-ID: <CAM-tV--zDnm9joSMoG_D=B-Lko1mEtjAhA8Z1G4dZ4g2ohjujA@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25163
Cc: Richard Kim <emacs18@HIDDEN>, 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Sun, Dec 11, 2016 at 12:32 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> From: Noam Postavsky <npostavs@HIDDEN>
>> Date: Sun, 11 Dec 2016 10:50:49 -0500
>> Cc: Richard Kim <emacs18@HIDDEN>, 25163 <at> debbugs.gnu.org
>>
>> >> Perhaps the warning could be delayed until after init time?
>> >
>> > What would that do to the value of abbrev-file-name?
>>
>> Nothing, only the warning should be delayed.
>
> But Emacs will then create .emacs.d, something the OP didn't want,
> right?

The OP already created an unwritable .emacs.d, so I think that's not
the problem. It's only the non-suppressable warning. Unless I've
misread?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 11 Dec 2016 17:31:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 12:31:50 2016
Received: from localhost ([127.0.0.1]:38333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cG7yX-0002Kc-W6
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 12:31:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cG7yW-0002KQ-Eh
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 12:31:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cG7yO-0002oc-10
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 12:31:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44992)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cG7yN-0002oY-UE; Sun, 11 Dec 2016 12:31:39 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3205
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cG7yN-0006yT-1D; Sun, 11 Dec 2016 12:31:39 -0500
Date: Sun, 11 Dec 2016 19:32:13 +0200
Message-Id: <83h96ae5ia.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
 (message from Noam Postavsky on Sun, 11 Dec 2016 10:50:49 -0500)
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
 <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 25163
Cc: emacs18@HIDDEN, 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.0 (--------)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Sun, 11 Dec 2016 10:50:49 -0500
> Cc: Richard Kim <emacs18@HIDDEN>, 25163 <at> debbugs.gnu.org
> 
> >> Perhaps the warning could be delayed until after init time?
> >
> > What would that do to the value of abbrev-file-name?
> 
> Nothing, only the warning should be delayed.

But Emacs will then create .emacs.d, something the OP didn't want,
right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 11 Dec 2016 15:50:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 10:50:58 2016
Received: from localhost ([127.0.0.1]:38278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cG6Ow-0006hu-Al
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 10:50:58 -0500
Received: from mail-oi0-f52.google.com ([209.85.218.52]:35462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cG6Ot-0006hg-N8
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 10:50:56 -0500
Received: by mail-oi0-f52.google.com with SMTP id b126so65905193oia.2
 for <25163 <at> debbugs.gnu.org>; Sun, 11 Dec 2016 07:50:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc:content-transfer-encoding;
 bh=I7W27Js/yYo8Nv3Nvi21cfM8Y8FdzIgLqJyBm+9yKWw=;
 b=hpw+nTlVy7KnbhJfnLiiSR/fo5RqRUzGuXR3JRD3GUzIeWyfaX0MP1uj2bvrRdKpD2
 hiGNMwzFwqCEhvCkg326aT9PW88aSDflxFzJpxgmkH6qxJIjxVOK0G03QIJWnXuin6f2
 V+a0ql+gG81gvIjJOAxk3cbUqQ+jaGYellHga2EyQHAfyuYoqTOU1uD/OmZz2eU8O3Ur
 Mn9oTE+JjgCdokDOTqvVZ8TNqCcIT26NFQ5RVmf6yVFpwh+UYbo04NHVsMkrtDqyBQFU
 QG7gwO1xbZo1woZJAbKxWfoinK7R1vZkHn/Jx4lJ/Dnmc7yfWJvUpaSYjp4Cra9ggQr5
 ROnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-transfer-encoding;
 bh=I7W27Js/yYo8Nv3Nvi21cfM8Y8FdzIgLqJyBm+9yKWw=;
 b=gXFZCofn8H9P0KOslVqY75IKMlEZNQFXDZgbuqcIj3Z2tkglt53Ho6lhiWVtaU2xEa
 UN0vTriAGeYIwuN+Fo8+GJdYKSZ/jzILNN2sL031VCmTogzG+4BkoMhSxUefpKPuDy0y
 3v2eyVpELQeM8aoJXzjkSsOaBZlTlBHgBhLgRmVCHIGCUm1EIxIKf/JdyASbV1evChfX
 mZPjQJmm9CvGXQNrixlv16FWdAt5ohxdRr9QyGo6eUXvaBgqgMUvUJRmxibj+qmDsLJU
 8F419Zhf2fs9TnlDhQqeussAx4PhGoiR8/kydqiYGkG9Fzzx1UvCtizJygZW/A+rvQcc
 Kq8g==
X-Gm-Message-State: AKaTC02alW+QLbTqRAYwUGhos5xu52X1LXn1U0cWQfMAnYlv+wku3vNl0dfY63Z79PnZ+0jUA0BB/7LrhcEdgA==
X-Received: by 10.157.42.41 with SMTP id t38mr25570239ota.181.1481471449723;
 Sun, 11 Dec 2016 07:50:49 -0800 (PST)
MIME-Version: 1.0
Received: by 10.157.6.234 with HTTP; Sun, 11 Dec 2016 07:50:49 -0800 (PST)
In-Reply-To: <83y3zmeb8z.fsf@HIDDEN>
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <83y3zmeb8z.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Sun, 11 Dec 2016 10:50:49 -0500
X-Google-Sender-Auth: hStO__GJb1P_hHUVxg5eE9SDNe4
Message-ID: <CAM-tV-8HEcTCw3VNnd4wKQ2-KHHwCMNbF+rEGisDVYAdf3NScw@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25163
Cc: Richard Kim <emacs18@HIDDEN>, 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Sun, Dec 11, 2016 at 10:28 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
>> From: npostavs@HIDDEN
>> Date: Sat, 10 Dec 2016 23:24:06 -0500
>> Cc: 25163 <at> debbugs.gnu.org
>>
>> Debugger entered: nil
>>   locate-user-emacs-file("abbrev_defs" ".abbrev_defs")
>>   #[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs" ".abbre=
v_defs"] 3]()
>>   funcall(#[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs"=
 ".abbrev_defs"] 3])
>>   eval((funcall (function #[0 "\300\301\302\"\207" [locate-user-emacs-fi=
le "abbrev_defs" ".abbrev_defs"] 3])))
>>   custom-reevaluate-setting(abbrev-file-name)
>>   mapc(custom-reevaluate-setting (temporary-file-directory transient-mar=
k-mode small-temporary-file-directory auto-save-file-name-transforms remote=
-shell-program Info-default-directory-list rmail-spool-directory abbrev-fil=
e-name auto-encryption-mode blink-cursor-mode tutorial-directory global-fon=
t-lock-mode file-name-shadow-mode query-replace-from-to-separator image-loa=
d-path mouse-wheel-mode electric-indent-mode electric-quote-mode global-eld=
oc-mode tooltip-mode))
>>   command-line()
>>   normal-top-level()
>>
>> Perhaps the warning could be delayed until after init time?
>
> What would that do to the value of abbrev-file-name?

Nothing, only the warning should be delayed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 11 Dec 2016 15:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 10:27:48 2016
Received: from localhost ([127.0.0.1]:38258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cG62W-0006A4-HI
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 10:27:48 -0500
Received: from eggs.gnu.org ([208.118.235.92]:37294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1cG62V-00069o-2H
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 10:27:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1cG62M-0002SP-Lj
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 10:27:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43883)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1cG62M-0002SK-IF; Sun, 11 Dec 2016 10:27:38 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3048
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1cG62L-0005Ci-Qp; Sun, 11 Dec 2016 10:27:38 -0500
Date: Sun, 11 Dec 2016 17:28:12 +0200
Message-Id: <83y3zmeb8z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: npostavs@HIDDEN
In-reply-to: <8760mrdrfd.fsf@HIDDEN>
 (npostavs@HIDDEN)
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -8.0 (--------)
X-Debbugs-Envelope-To: 25163
Cc: emacs18@HIDDEN, 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -8.0 (--------)

> From: npostavs@HIDDEN
> Date: Sat, 10 Dec 2016 23:24:06 -0500
> Cc: 25163 <at> debbugs.gnu.org
> 
> Debugger entered: nil
>   locate-user-emacs-file("abbrev_defs" ".abbrev_defs")
>   #[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs" ".abbrev_defs"] 3]()
>   funcall(#[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs" ".abbrev_defs"] 3])
>   eval((funcall (function #[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs" ".abbrev_defs"] 3])))
>   custom-reevaluate-setting(abbrev-file-name)
>   mapc(custom-reevaluate-setting (temporary-file-directory transient-mark-mode small-temporary-file-directory auto-save-file-name-transforms remote-shell-program Info-default-directory-list rmail-spool-directory abbrev-file-name auto-encryption-mode blink-cursor-mode tutorial-directory global-font-lock-mode file-name-shadow-mode query-replace-from-to-separator image-load-path mouse-wheel-mode electric-indent-mode electric-quote-mode global-eldoc-mode tooltip-mode))
>   command-line()
>   normal-top-level()
> 
> Perhaps the warning could be delayed until after init time?

What would that do to the value of abbrev-file-name?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 11 Dec 2016 14:06:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 09:06:40 2016
Received: from localhost ([127.0.0.1]:37659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cG4m0-0003yg-Pb
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 09:06:40 -0500
Received: from mail-io0-f181.google.com ([209.85.223.181]:33429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cG4m0-0003yU-3z
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 09:06:40 -0500
Received: by mail-io0-f181.google.com with SMTP id d9so131222470ioe.0
 for <25163 <at> debbugs.gnu.org>; Sun, 11 Dec 2016 06:06:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=JaLKojVDziUAI9+MtZD5Po+qt4vbzJYfT3EoJbPFt1Y=;
 b=YVUR6smQqPT+ME6vCwt3+0avFy0fhH+5m7Ofe1Q2qUQQVJQyudP8+bSp6t5UW572pO
 yhGaPoEn+2lpmOz71eQ0KlYmXEt6aIl+LrB6GSRMVBP7ZrV7LtRvHG5HNlzYaQ7w/nEd
 7puexFoj86x+yyAArvKGaK3LrYVpkdusArvsubCfyksXMq4nSUxpaJNsTdPQVmNKjVlS
 S9kjMn93U2a/neQ/vCu60GF4Lkrs+xBcQMD8UXa3xVDSVZjbNPyyJJ6GK4IYj4XmfTWG
 ap3LSnEbsW/w5QNHZNaQ9sFjzgZVFeUJ2bAv1lm1X1W+eu9TYhj77IjvoVBFAeBhkxYI
 IDQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=JaLKojVDziUAI9+MtZD5Po+qt4vbzJYfT3EoJbPFt1Y=;
 b=aBwnxCr4CkcnsD4u4/erhQFabobMd+g9PiuYA6oGr/2zoIIsNSpVlgiAoPu14oxIn+
 Rr+qH5xpPIQMvjBARfw+DAhMkZj1g418ZG6yxu91wxam+TUViiq2VQ6xkxDvpdklPRTw
 l+PXAU9s/BbGtfILymWZBfS0l8VOCboznImklDu81QjoyqQvc9XQje3U6cTQgdKKwTaz
 CrXeG1tW5kDX1886zz0fFGgUqE3X4mILJWpgCj61Z4VFnJzOiA5j2/HUtzEkaDX3Arwy
 NjxnTryi/1VJJiy5JDvc2BmQB7uVV0Q1QMyJ43cvcHo39zvh/VnigzqOmmXkn38olZKU
 B8sg==
X-Gm-Message-State: AKaTC030nbCzLEw4vWbHqVN19yTGhesKHs9TI5zwbjWbe4MnuNaRi2zC4V5kJaKCgYGQIw==
X-Received: by 10.107.132.74 with SMTP id g71mr77756104iod.19.1481465194592;
 Sun, 11 Dec 2016 06:06:34 -0800 (PST)
Received: from zony ([45.2.7.65]) by smtp.googlemail.com with ESMTPSA id
 f142sm17906610iof.44.2016.12.11.06.06.33
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 11 Dec 2016 06:06:33 -0800 (PST)
From: npostavs@HIDDEN
To: Tino Calancha <tino.calancha@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
 <874m2akgh3.fsf@HIDDEN>
Date: Sun, 11 Dec 2016 09:07:35 -0500
In-Reply-To: <874m2akgh3.fsf@HIDDEN> (Tino Calancha's message of "Sun, 11
 Dec 2016 17:38:48 +0900")
Message-ID: <87wpf6d0ew.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25163
Cc: Richard Kim <emacs18@HIDDEN>, 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Tino Calancha <tino.calancha@HIDDEN> writes:

> npostavs@HIDDEN writes:
>
>> I see the same in Emacs 25, 24.5, and 24.4; 24.3 just prints a "File
>> exists" message.  Looks like the problem is that locate-user-emacs-file
>> (and thus the check for the warning) is called before any customizations
>> (or --eval args) are executed.
>> Perhaps the warning could be delayed until after init time?
>
> Following patch delay the warning until al command line arguments have
> being processed.
> What do you think?

I think that would still be too early for the user setting the variable
in their init file.  I would suggest using after-init-hook, something
like:

(defun locate-user-emacs-file ...
   ...
   (when errtype
     (add-hook 'after-init-hook #'maybe-warn-about-user-dir)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 11 Dec 2016 08:39:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 11 03:39:03 2016
Received: from localhost ([127.0.0.1]:37498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cFzew-0007qf-Rl
	for submit <at> debbugs.gnu.org; Sun, 11 Dec 2016 03:39:03 -0500
Received: from mail-pg0-f67.google.com ([74.125.83.67]:35881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tino.calancha@HIDDEN>) id 1cFzev-0007qC-Kl
 for 25163 <at> debbugs.gnu.org; Sun, 11 Dec 2016 03:39:02 -0500
Received: by mail-pg0-f67.google.com with SMTP id x23so7378249pgx.3
 for <25163 <at> debbugs.gnu.org>; Sun, 11 Dec 2016 00:39:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=4Cyt6bCR93cOiCw1SiBGnr3tAaMQRQJjNHZ8EYx3d/A=;
 b=rPP0+LihYHquM1/TltI5CfV69hYb9nmV9lhITPqmn9dw1sLTd41wLfR47YoqYDpRBu
 +AsdG9TugGskITAgRj4lTWBswCLLfHWe4w8G52IY+7KO9B9/SsfOgvlhqqkkUF6HqS3u
 /1KO3uZgSDAbQMm+dQVWc3D0Mjo6py+BXXOQT5y1bgHokGDWFRg6r4kAxw0szXEBHMhf
 E8wtqiQ9pyNMPeSuoMzaxuFXcV6q8QFj0bO5GcCugCZeII17WK238Z78mHlSjAk2N1DH
 dZIiwk5h5z5EFJr7eP5d9js4Z5zwRrjtKuW4rZc294bMGSngqsYD+s08Ur/QEK4elXQ7
 68kQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=4Cyt6bCR93cOiCw1SiBGnr3tAaMQRQJjNHZ8EYx3d/A=;
 b=ShnGGwmMsZeG58KXc/HioVu7GDkCBMNzssOqh2E5uyJEjWSkcUW9TZtFBTj/o/drYZ
 te90u8TdBYnkHN+ykkzM7424/cZwa1ZobPHGws7q6lMseclDwHMBST6YtWawtJWa6+aB
 5lU7iocwK47v48YEykXYIeXc6jbREx3U7f3h11ZpaSf+7iPnDlLyIwox+5/8YKrY2slN
 SD6D2GdOxR4u0n28ELcbOf0W2MpHu1FlgPw9WXohWdLSb85c/dkOPDH6Y4C6cSZpiqIv
 dsMCXHeWwQoEZ7DoSvBcqMoaJE3OlyUTnxr4XL3fCzDxgGDrNZyoSL2meTYFU++oM64x
 XJeA==
X-Gm-Message-State: AKaTC02byM62dQDr5IGoV8mBesT8qoeCqDm0ecPIjger/O4c98abmaO1muhzUOSnvQpzhA==
X-Received: by 10.98.133.9 with SMTP id u9mr90891732pfd.137.1481445535493;
 Sun, 11 Dec 2016 00:38:55 -0800 (PST)
Received: from calancha-pc (177.192.218.133.dy.bbexcite.jp. [133.218.192.177])
 by smtp.gmail.com with ESMTPSA id
 74sm69054567pge.2.2016.12.11.00.38.53
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 11 Dec 2016 00:38:54 -0800 (PST)
From: Tino Calancha <tino.calancha@HIDDEN>
To: npostavs@HIDDEN
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN> <8760mrdrfd.fsf@HIDDEN>
Date: Sun, 11 Dec 2016 17:38:48 +0900
In-Reply-To: <8760mrdrfd.fsf@HIDDEN> (npostavs's message of
 "Sat, 10 Dec 2016 23:24:06 -0500")
Message-ID: <874m2akgh3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25163
Cc: Richard Kim <emacs18@HIDDEN>, 25163 <at> debbugs.gnu.org,
 tino.calancha@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

npostavs@HIDDEN writes:

> I see the same in Emacs 25, 24.5, and 24.4; 24.3 just prints a "File
> exists" message.  Looks like the problem is that locate-user-emacs-file
> (and thus the check for the warning) is called before any customizations
> (or --eval args) are executed.
> Perhaps the warning could be delayed until after init time?

Following patch delay the warning until al command line arguments have
being processed.
What do you think?

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
From 8d715d63eeda6e7814a86203f59ce6ee239aa65d Mon Sep 17 00:00:00 2001
From: Tino Calancha <tino.calancha@HIDDEN>
Date: Sun, 11 Dec 2016 17:32:18 +0900
Subject: [PATCH] Fix Bug#25162

* lisp/startup.el (command-line): If user-emacs-directory is not
accessible, delay to show a warning until all command line args
are processed.
---
 lisp/startup.el | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/lisp/startup.el b/lisp/startup.el
index 4a04f9c..dc59d9c 100644
--- a/lisp/startup.el
+++ b/lisp/startup.el
@@ -1094,11 +1094,12 @@ command-line
 
   ;; Re-evaluate predefined variables whose initial value depends on
   ;; the runtime context.
-  (mapc 'custom-reevaluate-setting
-        ;; Initialize them in the same order they were loaded, in case there
-        ;; are dependencies between them.
-        (prog1 (nreverse custom-delayed-init-variables)
-          (setq custom-delayed-init-variables nil)))
+  (let (user-emacs-directory-warning) ; Delay showing this warning (Bug#25162).
+    (mapc 'custom-reevaluate-setting
+          ;; Initialize them in the same order they were loaded, in case there
+          ;; are dependencies between them.
+          (prog1 (nreverse custom-delayed-init-variables)
+            (setq custom-delayed-init-variables nil))))
 
   (normal-erase-is-backspace-setup-frame)
 
@@ -1365,6 +1366,11 @@ command-line
   ;; Process the remaining args.
   (command-line-1 (cdr command-line-args))
 
+  ;; Check if `user-emacs-directory' is accessible (Bug#25162).
+  (when (and user-emacs-directory-warning
+             (not (file-accessible-directory-p user-emacs-directory)))
+    (locate-user-emacs-file ""))
+
   ;; This is a problem because, e.g. if emacs.d/gnus.el exists,
   ;; trying to load gnus could load the wrong file.
   ;; OK, it would not matter if .emacs.d were at the end of load-path.
-- 
2.10.2

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
In GNU Emacs 26.0.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.4)
 of 2016-12-11
Repository revision: 595a4d6bfd5aad79fb3ab681ae06f0739a4a5701




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at 25163 <at> debbugs.gnu.org:


Received: (at 25163) by debbugs.gnu.org; 11 Dec 2016 04:23:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 10 23:23:12 2016
Received: from localhost ([127.0.0.1]:37453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cFvfM-0000rk-2E
	for submit <at> debbugs.gnu.org; Sat, 10 Dec 2016 23:23:12 -0500
Received: from mail-io0-f173.google.com ([209.85.223.173]:36527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cFvfK-0000rW-A2
 for 25163 <at> debbugs.gnu.org; Sat, 10 Dec 2016 23:23:10 -0500
Received: by mail-io0-f173.google.com with SMTP id a81so114440555ioe.3
 for <25163 <at> debbugs.gnu.org>; Sat, 10 Dec 2016 20:23:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=eQksJ/ncNVu8bzCSVJuZUcLm8gQWJ4uufhqImgIHcbo=;
 b=FXWY5/TGf6M++nPMEqxVV1Z+psF9Tp0JUchw493RpN4LiyAFWfWEmMVt2Djm3tRbID
 rXoVtRXXNySqYXh0IKq7dOjT/LecebnuhlugXPjWIBtZlRLWwbK2Ha3WmoBHESOpbo0u
 9kAuXuYa824LVxdybkQISzvbTc7q2Q/QbqImf/W9f3+5cgGw/n8f35gw2zZNdp2tVPwx
 ffplsXTjXlBDAdYNtgDA4bfQ3M+baC8eqk1r5ot+jEgqj5RDVdr/8jh1T2vvW7ha+Ehj
 w+4v1+c0J3HEbTEWzPEX7mS1Fk9rabWbjrIpesdTL2e3wFzbEdGl6MA1/x/Bv1vXiuRC
 XsTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=eQksJ/ncNVu8bzCSVJuZUcLm8gQWJ4uufhqImgIHcbo=;
 b=cGqRhGFhkjZj510VDTTifchy1kzmFAe/creUTZuprJeCMrDIyeXg8NBm6ufAB02gc0
 zWH8Iqw669QQGy6Z9uJJp26OftTMvf9VfCitx48rGY9tR5CJ7JvLUP+bENrGq0Lw+Fsy
 QGzsb7Rg/MxeXghtHjpO8yR3USawBC2oIkSLCUXq6O/rB78dsOOSXnbYemHXKl7a/LH0
 FLbTqn7fbK477Vk2avqS+Rti0JjazqbZ4dvVq1PEMNXOYLmUvDihzv37sSkKbY9PX5zQ
 pgMdc736vobgzsb810TUtEtGkVwFEjxQW+ueUsMBoG+OtyS05qm/FdVS/br7E2LuXEHT
 N+zw==
X-Gm-Message-State: AKaTC02FbPULNA9u11aq1ZaVtjBfRoD07PRh5To3GHWsv9mvDi4ZlmnhmIqD99pk2Hg3Xg==
X-Received: by 10.107.16.170 with SMTP id 42mr75297151ioq.93.1481430184712;
 Sat, 10 Dec 2016 20:23:04 -0800 (PST)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id p77sm17395827iod.35.2016.12.10.20.23.03
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 10 Dec 2016 20:23:04 -0800 (PST)
From: npostavs@HIDDEN
To: Richard Kim <emacs18@HIDDEN>
Subject: Re: bug#25163: 26.0.50;
 Unable to access `user-emacs-directory' (~/.emacs.d/)
References: <qtma8c3qgua.fsf@HIDDEN>
Date: Sat, 10 Dec 2016 23:24:06 -0500
In-Reply-To: <qtma8c3qgua.fsf@HIDDEN> (Richard Kim's message of "Sat, 10
 Dec 2016 19:34:21 -0800")
Message-ID: <8760mrdrfd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 25163
Cc: 25163 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Richard Kim <emacs18@HIDDEN> writes:

> My build of emacs 26 (git repo version 25a52ca of 2016/12/10)
> starts up with the following warning:
>
>   Warning (initialization): Unable to access `user-emacs-directory' (~/.emacs.d/).
>   Any data that would normally be written there may be lost!
>   If you never want to see this message again,
>   customize the variable `user-emacs-directory-warning'.
>
> This is despite setting the variable as suggested to suppress such warning.
> I think this warning should not be printed.
>
> Emacs is started like this:
>
>   chmod 0 ~/.emacs.d
>   ~/opt/emacs26/bin/emacs -q \
>     --eval '(setq user-emacs-directory (expand-file-name "~/elisp/"))' \
>     --eval '(setq user-emacs-directory-warning nil)'
>
> Emacs 25 (git repo build of emacs-25 branch) started the same way does
> not print this warning.

I see the same in Emacs 25, 24.5, and 24.4; 24.3 just prints a "File
exists" message.  Looks like the problem is that locate-user-emacs-file
(and thus the check for the warning) is called before any customizations
(or --eval args) are executed.  Here's a backtrace I got by putting
(debug) inside locate-user-emacs-file, just before the `display-warning'
call:

Debugger entered: nil
  locate-user-emacs-file("abbrev_defs" ".abbrev_defs")
  #[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs" ".abbrev_defs"] 3]()
  funcall(#[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs" ".abbrev_defs"] 3])
  eval((funcall (function #[0 "\300\301\302\"\207" [locate-user-emacs-file "abbrev_defs" ".abbrev_defs"] 3])))
  custom-reevaluate-setting(abbrev-file-name)
  mapc(custom-reevaluate-setting (temporary-file-directory transient-mark-mode small-temporary-file-directory auto-save-file-name-transforms remote-shell-program Info-default-directory-list rmail-spool-directory abbrev-file-name auto-encryption-mode blink-cursor-mode tutorial-directory global-font-lock-mode file-name-shadow-mode query-replace-from-to-separator image-load-path mouse-wheel-mode electric-indent-mode electric-quote-mode global-eldoc-mode tooltip-mode))
  command-line()
  normal-top-level()

Perhaps the warning could be delayed until after init time?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Dec 2016 03:36:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 10 22:36:02 2016
Received: from localhost ([127.0.0.1]:37436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cFuvh-000841-Pv
	for submit <at> debbugs.gnu.org; Sat, 10 Dec 2016 22:36:02 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacs18@HIDDEN>) id 1cFuvf-00083f-II
 for submit <at> debbugs.gnu.org; Sat, 10 Dec 2016 22:35:59 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <emacs18@HIDDEN>) id 1cFuvZ-0000cj-4X
 for submit <at> debbugs.gnu.org; Sat, 10 Dec 2016 22:35:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.6 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,RCVD_IN_SORBS_SPAM,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40364)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <emacs18@HIDDEN>) id 1cFuvZ-0000cX-1D
 for submit <at> debbugs.gnu.org; Sat, 10 Dec 2016 22:35:53 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:32984)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <emacs18@HIDDEN>) id 1cFuvX-0007UT-G2
 for bug-gnu-emacs@HIDDEN; Sat, 10 Dec 2016 22:35:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <emacs18@HIDDEN>) id 1cFuvU-0000bi-Ce
 for bug-gnu-emacs@HIDDEN; Sat, 10 Dec 2016 22:35:51 -0500
Received: from mail-pg0-f68.google.com ([74.125.83.68]:33311)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <emacs18@HIDDEN>) id 1cFuvU-0000YL-5p
 for bug-gnu-emacs@HIDDEN; Sat, 10 Dec 2016 22:35:48 -0500
Received: by mail-pg0-f68.google.com with SMTP id 3so6815314pgd.0
 for <bug-gnu-emacs@HIDDEN>; Sat, 10 Dec 2016 19:35:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:reply-to:date:message-id:mime-version;
 bh=akspNkahSWKEkatPdervCRC2RanXjMauELglHObvNyM=;
 b=Pdcsh8gsZiWyJw7bPmWGMfT/vc6S46BVZnWSHYaHFbaeBNQp+1I0Gn/kC5lmWHmL0T
 orX+q6NLUY1BBpalsfgP3K75mBsk8k1XG/PKSZmf/pvn75xwFmSwSSLfxY5M5PRXpMzD
 pUb93ngHtnDnCOdLMFxVz1yLxGj4J2Kka9FqXweyuQbWqIF9MWvuUmvVDIN/a5+lmTbb
 cxqsuu5loSw6KkF1+VA536jMmR2NVCyYkqRiBX7TsgFMKX3o8L1LxCBU93aB9LBOMnA+
 X/oNPgR0HxauBDHTfkx9gqSM41RO3jkp6hjGPYxvfkgNtitQMuz0H7+jpDMbh2mdIH2c
 C2Sg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:reply-to:date:message-id
 :mime-version;
 bh=akspNkahSWKEkatPdervCRC2RanXjMauELglHObvNyM=;
 b=Yw2/qodwoOoA4gtVpI6RZEfQXaw8KM2LLwDjKv39pn2pL/ZEfDJe0Fwcw1ks2TLv9L
 GKbn/eIeOhnMPzF4oGroYvqt1mtYPn1Tob7MCn2BzH6LicH8nLTZB62WuiWA1QzY8AZy
 bKrCrCYmaSHI3Ig1PJBzoccF0K0ynC6vmgNpALV9QVzQUEMmXTSO8k89uPGI4q6bUPIv
 MBZMBmBsaflLFZUYt/EBshYYjE/WbUzwPqXmMysZn4tTDNMUytX60flWWMMAPIKR6e+7
 +3FfzX50PGG5E7m8GSdW9r1AEnOQ8gmR96Jk+5xcw3rfjE0W4Ts+nH0HWDaCVDsq2Zyx
 mKvg==
X-Gm-Message-State: AKaTC028lbHBANHTw+GuZi9Y7Bfk4/6c7yEob1WzZiBZieYle8w/PeV9giLL2EvmYBCI2g==
X-Received: by 10.84.218.7 with SMTP id q7mr173622948pli.18.1481427265863;
 Sat, 10 Dec 2016 19:34:25 -0800 (PST)
Received: from kimr-ubuntu (static-50-53-7-58.bvtn.or.frontiernet.net.
 [50.53.7.58])
 by smtp.gmail.com with ESMTPSA id 74sm67638976pge.2.2016.12.10.19.34.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 10 Dec 2016 19:34:25 -0800 (PST)
From: Richard Kim <emacs18@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50; Unable to access `user-emacs-directory' (~/.emacs.d/)
Date: Sat, 10 Dec 2016 19:34:21 -0800
Message-ID: <qtma8c3qgua.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: emacs18@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)


My build of emacs 26 (git repo version 25a52ca of 2016/12/10)
starts up with the following warning:

  Warning (initialization): Unable to access `user-emacs-directory' (~/.emacs.d/).
  Any data that would normally be written there may be lost!
  If you never want to see this message again,
  customize the variable `user-emacs-directory-warning'.

This is despite setting the variable as suggested to suppress such warning.
I think this warning should not be printed.

Emacs is started like this:

  chmod 0 ~/.emacs.d
  ~/opt/emacs26/bin/emacs -q \
    --eval '(setq user-emacs-directory (expand-file-name "~/elisp/"))' \
    --eval '(setq user-emacs-directory-warning nil)'

Emacs 25 (git repo build of emacs-25 branch) started the same way does
not print this warning.

I always make ~/.emacs.d unreadable so that emacs will not create files
without me knowing about it.  I set user-emacs-directory to a directory
that is version controlled via git.


In GNU Emacs 26.0.50.3 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2016-12-10 built on kimr-ubuntu
Repository revision: 25a52ca6b2521623334e5768ae26e46595a1b36b
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description:	Ubuntu 16.04.1 LTS

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
M-s M-x is undefined

Configured using:
 'configure --with-x-toolkit=yes --with-xml2 --without-compress-install
 --with-modules --with-file-notification=yes --prefix
 /home/kimr/opt/emacs-26-20161210 CFLAGS=-O3'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date warnings mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 98326 6613)
 (symbols 48 20238 0)
 (miscs 40 435 129)
 (strings 32 18189 4875)
 (string-bytes 1 596736)
 (vectors 16 14137)
 (vector-slots 8 457905 5856)
 (floats 8 183 32)
 (intervals 56 227 0)
 (buffers 976 12)
 (heap 1024 32721 1008))




Acknowledgement sent to emacs18@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25163; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.